curl --request GET \
--url https://api.treasuryprime.com/account/{account_id}/pending_transaction \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/account/{account_id}/pending_transaction"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/account/{account_id}/pending_transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"account_id": "acct_1029384756",
"ach_id": "ach_1234567",
"amount": "1975.00",
"balance": "256147.27",
"billpay_payment_id": null,
"book_id": null,
"card_id": null,
"category": null,
"check_id": null,
"check_number": null,
"date": "2017-11-27",
"desc": "EXT-XFER Sq. Nbr.: 123456",
"extended_timestamp": "2017-11-27T01:02:03Z",
"extended_timestamp_precise": "2017-11-27T01:02:03.300Z",
"fednow_id": null,
"incoming_ach_id": null,
"incoming_wire_id": null,
"issued_check_id": null,
"network_transfer_id": null,
"related_transfer_ids": [],
"summary": "ACME CORP VENDOR PMT",
"trace_id": null,
"type": "deposit",
"type_source": null,
"wire_id": null
}
]
}List Pending Transactions
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the account to pull pending transactions for
Query Parameters
Pagination cursor, value is the object ID.
Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.
x >= 1Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).
Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).
Response
A dictionary with a data property that contains a list of up to page_size pending_transaction elements, starting after the pending_transaction described by page_cursor. If no more pending_transactions are available, the resulting list will be empty.
Show child attributes
Show child attributes
Was this page helpful?